[ARVADOS-DEV] updated: 21a3d01379891f2670991e4d24804e1dc87a1ab1
git at public.curoverse.com
git at public.curoverse.com
Mon Aug 31 11:16:36 EDT 2015
Summary of changes:
jenkins/common-test-packages.sh | 2 ++
jenkins/deb-common-test-packages.sh | 10 ++++++++--
jenkins/run-test-packages.sh | 8 +++++++-
jenkins/test-packages-centos6.sh | 18 ++++++++++++------
4 files changed, 29 insertions(+), 9 deletions(-)
via 21a3d01379891f2670991e4d24804e1dc87a1ab1 (commit)
from 8713e250470011db40d0cc9f1a02afbf98d2853c (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 21a3d01379891f2670991e4d24804e1dc87a1ab1
Author: Peter Amstutz <peter.amstutz at curoverse.com>
Date: Mon Aug 31 11:18:05 2015 -0400
Log package dependencies for each shared object. Add -q so make the logs a bit
less chatty.
diff --git a/jenkins/common-test-packages.sh b/jenkins/common-test-packages.sh
index 869f054..52bbba0 100755
--- a/jenkins/common-test-packages.sh
+++ b/jenkins/common-test-packages.sh
@@ -2,6 +2,7 @@
FAIL=0
+echo
for so in $(find . -name "*.so") ; do
if ldd $so | grep "not found" ; then
echo "^^^ Missing while scanning $so ^^^"
@@ -9,6 +10,7 @@ for so in $(find . -name "*.so") ; do
fi
done
+echo
if ! python <<EOF
import arvados
import arvados_fuse
diff --git a/jenkins/deb-common-test-packages.sh b/jenkins/deb-common-test-packages.sh
index fbebe24..d781c8b 100755
--- a/jenkins/deb-common-test-packages.sh
+++ b/jenkins/deb-common-test-packages.sh
@@ -24,8 +24,8 @@ if test "$1" = --run-test ; then
fi
echo "deb file:///mnt /" >>/etc/apt/sources.list
-apt-get update
-if ! apt-get --assume-yes --force-yes install python-arvados-python-client python-arvados-fuse ; then
+apt-get -qq update
+if ! apt-get -qq --assume-yes --force-yes install python-arvados-python-client python-arvados-fuse ; then
exit 1
fi
@@ -36,4 +36,10 @@ for r in /mnt/python-*amd64.deb ; do
dpkg-deb -x $r .
done
+for so in $(find . -name "*.so") ; do
+ echo
+ echo "== Packages dependencies for $so =="
+ ldd $so | awk '($3 ~ /^\//){print $3}' | sort -u | xargs dpkg -S | cut -d: -f1 | sort -u
+done
+
exec /root/common-test.sh
diff --git a/jenkins/run-test-packages.sh b/jenkins/run-test-packages.sh
index dce7362..baca7b7 100755
--- a/jenkins/run-test-packages.sh
+++ b/jenkins/run-test-packages.sh
@@ -7,11 +7,17 @@ fi
FAIL=0
+ERRORS=""
+
for pkg in ./test-packages-*.sh ; do
+ echo
+ echo "== Running $pkg =="
+ echo
if ! $pkg --run-test ; then
FAIL=1
- echo "$pkg has install errors"
+ ERRORS="$ERRORS\n$pkg has install errors"
fi
done
+echo $ERRORS
exit $FAIL
diff --git a/jenkins/test-packages-centos6.sh b/jenkins/test-packages-centos6.sh
index ea3ed09..580bb27 100755
--- a/jenkins/test-packages-centos6.sh
+++ b/jenkins/test-packages-centos6.sh
@@ -23,10 +23,10 @@ if test "$1" = --run-test ; then
fi
if test "$1" = --install-scl ; then
- yum install --assumeyes scl-utils
+ yum -q install --assumeyes scl-utils
curl -L -O https://www.softwarecollections.org/en/scls/rhscl/python27/epel-6-x86_64/download/rhscl-python27-epel-6-x86_64.noarch.rpm
- yum install --assumeyes rhscl-python27-epel-6-x86_64.noarch.rpm
- yum install --assumeyes python27
+ yum -q install --assumeyes rhscl-python27-epel-6-x86_64.noarch.rpm
+ yum -q install --assumeyes python27
exec scl enable python27 $0
fi
@@ -38,9 +38,9 @@ gpgcheck=0
enabled=1
EOF
-yum clean all
-yum update
-if ! yum install --assumeyes python27-python-arvados-python-client python27-python-arvados-fuse ; then
+yum -q clean all
+yum -q update
+if ! yum -q install --assumeyes python27-python-arvados-python-client python27-python-arvados-fuse ; then
exit 1
fi
@@ -51,4 +51,10 @@ for r in /mnt/python27-python-*x86_64.rpm ; do
rpm2cpio $r | cpio -idm
done
+for so in $(find . -name "*.so") ; do
+ echo
+ echo "== Packages dependencies for $so =="
+ ldd $so | awk '($3 ~ /^\//){print $3}' | sort -u | xargs rpm -qf | sort -u
+done
+
exec /root/common-test.sh
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list